#
# spec file for package lksctp-tools (Version 1.0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lksctp-tools
Summary:        Utilities for SCTP (Stream Control Transmission Protocol)
Version:        1.0.4
Release:        12.2
License:        LGPL
Group:          Productivity/Networking/Other
URL:            http://lksctp.sourceforge.net
Source0:        %name-%version.tar.gz
Patch0:         lksctp-tools-%{version}-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the SCTP base runtime library and command line
tools.

SCTP (Stream Control Transmission Protocol) is a message-oriented,
reliable transport protocol with congestion control, support for
transparent multihoming, and multiple ordered streams of messages.



Authors:
--------
    La Monte H.P. Yarroll   <piggy@acm.org>
    Jon Grimm               <jgrimm@us.ibm.com>
    Sridhar Samudrala       <sri@us.ibm.com>

%debug_package
%package devel
Summary:        Development files for SCTP (Stream Control Transmission Protocol)
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description devel
This package contains the SCTP development libraries and C header
files.

SCTP (Stream Control Transmission Protocol) is a message oriented,
reliable transport protocol, with congestion control, support for
transparent multi-homing, and multiple ordered streams of messages.



Authors:
--------
    La Monte H.P. Yarroll   <piggy@acm.org>
    Jon Grimm               <jgrimm@us.ibm.com>
    Sridhar Samudrala       <sri@us.ibm.com>

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
autoreconf --force --install
CPPFLAGS="-I`pwd`/include" \
%configure --prefix=/usr \
	--enable-shared \
	--enable-static
make

%install
test -n "$RPM_BUILD_ROOT" && DESTDIR=$RPM_BUILD_ROOT && rm -rf $DESTDIR
make install DESTDIR=$DESTDIR

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(444,root,root,755)
%doc AUTHORS COPYING ChangeLog COPYING.lib
%doc doc/*.txt
%attr(555,root,root) %{_bindir}/*
%attr(555,root,root) %{_libdir}/libsctp.so.*
%attr(755,root,root) %dir %{_libdir}/lksctp-tools
%attr(555,root,root) %{_libdir}/lksctp-tools/*
%attr(444,root,root) %{_mandir}/man7/*

%files devel
%defattr(444,root,root,755)
%attr(444,root,root) %{_includedir}/netinet/sctp.h
%attr(555,root,root) %{_libdir}/libsctp.so
%attr(444,root,root) %{_libdir}/libsctp.a
%attr(444,root,root) %{_libdir}/libsctp.la
%attr(755,root,root) %dir %{_datadir}/lksctp-tools
%attr(444,root,root) %{_datadir}/lksctp-tools/*
%attr(444,root,root) %{_mandir}/man3/*

%changelog -n lksctp-tools
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - okir@suse.de
- Updated to latest upstream version (1.0.4)
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Fri Jan 21 2005 - okir@suse.de
- Updated to latest upstream version (1.0.2)
* Wed May 12 2004 - okir@suse.de
- Updated to lksctp-tools to 1.0.1 per request from IBM
* Tue Mar 16 2004 - okir@suse.de
- Built initial package
